#if !defined(BRIDLE_INIT_OEM_H)
#define BRIDLE_INIT_OEM_H
/*======================================================
FILE:  BRIDLEInit_OEM.h

SERVICES:  BRIDLE externs for target specific 
           initializations.

GENERAL DESCRIPTION:


PUBLIC CLASSES:

None.

INITIALIZATION AND SEQUENCING REQUIREMENTS
None.

        Copyright  2003 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/

#include "BRIDLEInit.h"

extern int RegisterMD5ForSWI(void *);

#if defined(OEMDISP)
extern int RegisterOEMDispForSWI(void *);
#endif // defined(OEMDISP)

#ifdef FEATURE_LOGGER_DMSS
extern int RegisterLoggerDMSSForSWI(void *po);
#endif /* FEATURE_LOGGER_DMSS */

#ifdef FEATURE_GSM1x
extern int RegisterGSM1xControlForSWI(void *po);
extern int RegisterGSM1xCardHandlerForSWI(void *po);
extern int RegisterGSM1xMessageForSWI(void *po);
extern int RegisterGSM1xSIGForSWI(void *po);
extern int RegisterGSMSMSForSWI(void *po);
#endif /* FEATURE_GSM1x */

#if defined(FEATURE_UIM)
extern int RegisterAddrBookRUIMForSWI(void *po);
#endif

#if defined(FEATURE_BREW_MULTIMEDIA)
extern int bridle_MediaCMX_RegisterSubSystem(void *po);
#endif //FEATURE_BREW_CAMERA

#if defined(FEATURE_OEMSVC)
extern int bridle_oemsvc_RegisterSubSystem(void *po);
#endif

#if defined(FEATURE_ICM)
extern int bridle_cm_RegisterSubSystem(void *po);
#endif

extern const PFNBRIDLEINIT  gOEMBridleInit[];

#endif //BRIDLE_INIT_OEM_H
